package domain

type AlibabaWdkCouponTemplateCreateCouponTemplateOperateRequest struct {
	/*
	   券模版     */
	CouponTemplate *AlibabaWdkCouponTemplateCreateCouponTemplate `json:"coupon_template,omitempty" `

	/*
	   用户信息     */
	UserInfo *AlibabaWdkCouponTemplateCreateUserInfo `json:"user_info,omitempty" `
}

func (s *AlibabaWdkCouponTemplateCreateCouponTemplateOperateRequest) SetCouponTemplate(v AlibabaWdkCouponTemplateCreateCouponTemplate) *AlibabaWdkCouponTemplateCreateCouponTemplateOperateRequest {
	s.CouponTemplate = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateCouponTemplateOperateRequest) SetUserInfo(v AlibabaWdkCouponTemplateCreateUserInfo) *AlibabaWdkCouponTemplateCreateCouponTemplateOperateRequest {
	s.UserInfo = &v
	return s
}
